package mvcsSkeleton.controllers.commands
{
	import mvcsSkeleton.controllers.events.StatisticsEvent;
	import mvcsSkeleton.models.api.IStatistics;
	import mvcsSkeleton.models.vos.ShapeVO;

	public class RemoveElementCommand
	{
		[Inject]
		public var event:StatisticsEvent;

		[Inject]
		public var statisticsModel:IStatistics;

		public function execute():void
		{
			statisticsModel.removeElement(event.payload as ShapeVO);
		}
	}
}
