package mvcsSkeleton.views.mediators
{
	import mvcsSkeleton.controllers.events.StatisticsEvent;
	import mvcsSkeleton.views.components.StatisticsView;

	import robotlegs.bender.bundles.mvcs.Mediator;

	public class StatisticsMediator extends Mediator
	{
		[Inject]
		public var view:StatisticsView;

		override public function initialize():void
		{
			addContextListener(StatisticsEvent.STATISTICS_RESULTS, onStatsticsResults, StatisticsEvent);
		}

		private function onStatsticsResults(event:StatisticsEvent):void
		{
			view.onStatisticsResults(event.payload);
		}
	}
}
