package mvcsSkeleton.configs
{
	import mvcsSkeleton.controllers.commands.AddElementCommand;
	import mvcsSkeleton.controllers.commands.RemoveElementCommand;
	import mvcsSkeleton.controllers.events.StatisticsEvent;

	import robotlegs.bender.extensions.eventCommandMap.api.IEventCommandMap;
	import robotlegs.bender.framework.api.IConfig;

	public class ControllersConfig implements IConfig
	{
		[Inject]
		public var commandMap:IEventCommandMap;

		public function configure():void
		{
			commandMap.map(StatisticsEvent.ELEMENT_ADDED).toCommand(AddElementCommand);
			commandMap.map(StatisticsEvent.ELEMENT_REMOVED).toCommand(RemoveElementCommand);
		}
	}
}
