package mvcsSkeleton.configs
{
	import flash.display.DisplayObjectContainer;

	import robotlegs.bender.bundles.mvcs.MVCSBundle;
	import robotlegs.bender.extensions.contextView.ContextView;
	import robotlegs.bender.framework.api.IContext;
	import robotlegs.bender.framework.impl.Context;

	public class RobotlegsContext
	{
		private var _context:IContext;

		public function RobotlegsContext(view:DisplayObjectContainer)
		{
			_context = new Context()
				.install(MVCSBundle)
				.configure(ModelsConfig, ControllersConfig, MediatorsConfig)
				.configure(new ContextView(view));
		}
	}
}
