package mvcsSkeleton.controllers.events
{
	import flash.events.Event;

	public class StatisticsEvent extends Event
	{
		public static const ELEMENT_ADDED:String = "elementAdded";
		public static const ELEMENT_REMOVED:String = "elementRemoved";
		public static const STATISTICS_RESULTS:String = "statisticsResults";

		private var _payload:Object;

		public function StatisticsEvent(type:String, payload:Object=null, bubbles:Boolean=false, cancelable:Boolean=false)
		{
			super(type, bubbles, cancelable);
			_payload = payload;
		}

		public function get payload():Object
		{
			return _payload;
		}

		override public function clone():Event
		{
			return new StatisticsEvent(type, payload, bubbles, cancelable);
		}
	}
}
