package mvcsSkeleton.views.mediators
{
	import mvcsSkeleton.controllers.events.BehavioursEvent;
	import mvcsSkeleton.views.api.IRotateShapes;

	import robotlegs.bender.bundles.mvcs.Mediator;

	public class RotateShapesMediator extends Mediator
	{
		[Inject]
		public var view:IRotateShapes;

		override public function initialize():void
		{
			addContextListener(BehavioursEvent.ROTATE_SHAPE_REQUESTED, onRotateShape, BehavioursEvent);
		}

		private function onRotateShape(event:BehavioursEvent):void
		{
			//view == views implementing IRotateShapes (all 3 in this example: MonomorphicViewOne, MonomorphicViewTwo, PolymorphicView)
			view.rotateShape(Number(event.payload));
		}
	}
}
